makeself(1)

NAME
makeself - An utility to generate self-extractable archives.

SYNTAX

makeself [options] archive_dir file_name label [startup_script] [args]

DESCRIPTION

This program is a free (GPL) utility designed to create self-extractable archives from a directory.

OPTIONS

The following options are supported.

-v, --version
    Prints out the makeself version number and exits.

-h, --help
    Print out help information.

--gzip
    Compress using gzip (default if detected).

--bzip2
    Compress using bzip2.

--compress
    Compress using the UNIX 'compress' command.

--nocomp
    Do not compress the data.

--notemp
    The archive will create archive_dir in the current directory and uncompress in ./archive_dir.

--copy
    Upon extraction, the archive will first copy itself to a temporary directory.

--append
    Append more files to an existing makeself archive. The label and startup scripts will then be ignored.

--current
    Files will be extracted to the current directory. Implies --notemp.

--header file
    Specify location of the header script.

--follow
    Follow the symlinks in the archive.

--nox11
    Disable automatic spawn of an xterm if running in X11.

--nowait
    Do not wait for user input after executing embedded program from an xterm.

--nomd5
    Do not create a MD5 checksum for the archive.

--nocrc
    Do not create a CRC32 checksum for the archive.

--lsm file
    LSM file describing the package.

AUTHORS

Makeself has been written by Stéphane Peter <megastep@megastep.org>. This man page was originally written by Bartosz Fenski <fenio@o2.pl> for the Debian GNU/Linux distribution (but it may be used by others).